# ctype_print

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

ctype_print — Check for printable character(s)

### Description

ctype_print ( string `$text` ) : bool

Checks if all of the characters in the provided string, `text`, are printable.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` will actually create output (including blanks). Returns `FALSE` if `text` contains control characters or characters that do not have any output or control function at all.

### Examples

Example #1 A ctype_print() example

`<?php
$strings = array('string1' => "asdf\n\r\t", 'string2' => 'arf12', 'string3' => 'LKA#@%.54');
foreach ($strings as $name => $testcase) {
if (ctype_print($testcase)) {
echo "The string '$name' consists of all printable characters.\n";
} else {
echo "The string '$name' does not consist of all printable characters.\n";
}
}
?>`

The above example will output:

    The string 'string1' does not consist of all printable characters.
    The string 'string2' consists of all printable characters.
    The string 'string3' consists of all printable characters.

### Notes

> Note:

> If an integer between -128 and 255 inclusive is provided, it is interpreted as the ASCII value of a single character (negative values have 256 added in order to allow characters in the Extended ASCII range). Any other integer is interpreted as a string containing the decimal digits of the integer.

### See Also

- ctype_cntrl() - Check for control character(s)
- ctype_graph() - Check for any printable character(s) except space
- ctype_punct() - Check for any printable character which is not whitespace or an alphanumeric character